Subject: bug#61281: “`(a \, b)” equals to “`(a . ,b)”

From: Drew Adams <[email-masked]>
Date: Thu, 9 Feb 2023 02:10:39 +0000

> > Dunno.  I didn't intend to use ",X" at all.  That
> > was from you.
> >
> > I think that should particularly be pointed out in
> > comments is this bug: that "\," evaluates, just
> > like "," does, when inside backquote.  And it even
> > splices, like ",@" does.  This isn't obvious, even
> > if it might be a rare/corner case.
> 
> So you think that somebody that is able to look up and understand the
> Lisp part of the implementation of backquote expansion will - after
> reading the comment that the reader construct expands like ,X -> (\, X)
> - will _not_ understand that this implies that the symbol \, appearing in
> a list inside a backquote expression has to be interpreted by backquote?
> 
> Here we disagree, I can't imagine such a person.

I really have nothing more to say on this.
I would just be repeating myself.  In any case,
we've agreed that it's unlikely that the bug
will be fixed.  And although I thought at one
time that you agreed the bug existed, I'm not
so sure now that you did.  And as, IIUC,
Andreas points out, clisp apparently just
substitutes a different char for "," internally
when it handles backquote, which just punts the
problem to a different corner case (different
char).  So I guess nothing will be done, and
maybe nothing reasonable can be done, for this.